package com.zd.airbottle.service;

import java.util.List;
import com.zd.airbottle.domain.QpSpecificationDetail;

/**
 * 气瓶规格详情Service接口
 * 
 * @author zd
 * @date 2022-05-17
 */
public interface IQpSpecificationDetailService 
{
    /**
     * 查询气瓶规格详情
     * 
     * @param id 气瓶规格详情主键
     * @return 气瓶规格详情
     */
    QpSpecificationDetail selectQpSpecificationDetailById(Long id);

    /**
     * 根据ID集合查询气瓶规格详情
     *
     * @param ids 气瓶规格详情主键
     * @return 气瓶规格详情
     */
    List<QpSpecificationDetail> getByIds(List<Long> ids);

    /**
     * 查询气瓶规格详情列表
     * 
     * @param qpSpecificationDetail 气瓶规格详情
     * @return 气瓶规格详情集合
     */
    List<QpSpecificationDetail> selectQpSpecificationDetailList(QpSpecificationDetail qpSpecificationDetail);

    /**
     * 新增气瓶规格详情
     * 
     * @param qpSpecificationDetail 气瓶规格详情
     * @return 结果
     */
    int insertQpSpecificationDetail(QpSpecificationDetail qpSpecificationDetail);

    /**
     * 修改气瓶规格详情
     * 
     * @param qpSpecificationDetail 气瓶规格详情
     * @return 结果
     */
    int updateQpSpecificationDetail(QpSpecificationDetail qpSpecificationDetail);

    /**
     * 批量删除气瓶规格详情
     * 
     * @param ids 需要删除的气瓶规格详情主键集合
     * @return 结果
     */
    int deleteQpSpecificationDetailByIds(Long[] ids);

    /**
     * 删除气瓶规格详情信息
     * 
     * @param id 气瓶规格详情主键
     * @return 结果
     */
    int deleteQpSpecificationDetailById(Long id);

    /**
     * 根据气瓶规格ID集合查询气瓶规格详情
     * @param specIds 气瓶规格ID
     * @return 气瓶规格详情集合
     */
    List<QpSpecificationDetail> listBySpecIds(List<Long> specIds);

    /**
     * 根据气瓶规格ID集合删除气瓶规格详情
     * @param specIds 气瓶规格ID
     * @return 结果
     */
    int deleteBySpecIds(Long[] specIds);

}
